Skip to main content
PATCH
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
Update a blueprint's contents and/or position
curl --request PATCH \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contents": "<string>",
  "position": 123
}
'
import requests

url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}"

payload = {
    "contents": "<string>",
    "position": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({contents: '<string>', position: 123})
};

fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "updated_at": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Permissions

Requires a service user with the ManageRepoBlueprints permission at the organization level. Creating or updating org-tier blueprints requires the ManageOrgSnapshots permission.

Behavior

Updates a blueprint’s contents and/or position. Does not auto-trigger a build.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

blueprint_id
string
required
org_id
string
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

Body

application/json

Partial update for an org- or repo-tier blueprint.

Any subset of fields may be provided. Fields not set are left alone. Providing position on an org-tier blueprint returns 400 — only repo-tier blueprints have a position. Does NOT trigger a build.

contents
string | null

If set, replaces the blueprint's YAML body with a new version.

position
integer | null

If set, updates the execution position of this repo-tier blueprint. Positions are not required to be unique; ties are broken arbitrarily by the server when sorting for execution.

Response

Successful Response

Public Blueprint resource shape.

Note: the type enum may grow in the future; clients MUST gracefully handle unknown values. YAML contents are fetched separately via GET /blueprints/{id}/contents.

blueprint_id
string
required
created_at
integer
required
repo_name
string | null
required
type
enum<string>
required
Available options:
enterprise,
org,
repo
updated_at
integer
required